Can't update packages


#1

All my updates downloaded but the output of sudo pacman -Syuustill comes out as

error: failed to commit transaction (conflicting files)
js52: /usr/lib/libmozjs-52.so.0 exists in filesystem
Errors occurred, no packages were upgraded.

Any ideas…?


#2

#3

sudo pacman -Syyu
That’s the difference. If previously to that you also sync the mirrors sudo pacman-mirrors -f5 might be even more successful. :wink:
The js52 issue was addressed in testing and fixed …


#4

rm /usr/lib/libmozjs-52.so.0 then update